---
title: "Get Members"
slug: "get-members"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Members

Get/v1/members

Get all members that belong to sub-accounts within the user's permissions.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Query parameterspageinteger

Page number

sizeinteger

Number of items per page

idinteger

Filter by Member ID

statusstring

Filter by member status

Valid values[
  "Active",
  "Deactivated"
]
usernamestring

Filter by username

subAccountIdinteger

Filter by Sub-Account ID

Responses200

Successfully retrieved members

<select class='api-response-data' aria-label='Media type'><option value='51c89b57-9d07-4fce-a88a-c959cc265fa6'>application/json</option>
</select>

```json
{
  "success": "True",
  "data": {
    "items": [
      {
        "id": "11223",
        "subAccountId": "54321",
        "firstName": "Jane",
        "lastName": "Smith",
        "username": "jsmith",
        "memberRole": "Admin",
        "email": "jane.smith@example.com",
        "status": "Active",
        "mfa": "True",
        "imageUrl": "",
        "creationDate": "2023-06-15T14:30:00Z",
        "address1": "",
        "address2": "",
        "country": "",
        "city": "",
        "stateName": "",
        "zip": "",
        "phone": "",
        "isSsoUser": "False"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
```

Expand Allobject  successboolean    
dataobject  items Array of object (MemberResponse)   object  idinteger    
subAccountIdinteger    
firstNamestring    
lastNamestring    
usernamestring    
memberRolestring    
emailstring    
statusstring    
mfaboolean    
imageUrlstring   | null  
creationDatestring  (date-time)    
address1string   | null  
address2string   | null  
countrystring   | null  
citystring   | null  
stateNamestring   | null  
zipstring   | null  
phonestring   | null  
isSsoUserboolean    

pageinteger    
sizeinteger    
totalinteger
